{% extends 'base.html' %} {% block content%} {% if predictedLabel %}

<section id="projects1">
    <div class="projects container1">
        <div class="projects-header1">
            <h1 class="section-title"><span>Result</span></h1>
        </div>
        <div class="all-projects1">
            <div class="project-item1">
                <div class="project-img1">
                    <img src={{filePathName}} alt="img">
                </div>
                <div class="project-info1">
                    <p>The predicted class is {{predictedLabel}}</p>
                    {% comment %} <p>Confidence: {{confidence}}%</p> {% endcomment %}
                    <p>Image name: {{filename}}</p>
                    {% if lateblight %}
                    <p><br><b>Treatment:</b>
                        <br>Late Blight is controlled by eliminating cull piles and volunteer potatoes, using proper harvesting and storage practices, and applying fungicides when necessary. Air drainage to facilitate the drying of foliage each day is
                        important.
                    </p>



                    {% elif earlyblight %}

                    <p>
                        <b>Early Blight </b><br> Early Blight is caused by the fungus Alternaria solani. It is found wherever potatoes are grown.<br><br> Treatment <br> 1. planting potato varieties that are resistant to the disease; late maturing are
                        more resistant than early maturing varieties.<br> 2. Avoid overhead irrigation and allow for sufficient aeration between plants to allow the foliage to dry as quickly as possible.<br> 3. Keep the potato plants healthy and stress
                        free by providing adequate nutrition and sufficient irrigation, especially later in the growing season after flowering when plants are most susceptible to the disease.</p><br><br><br> {% elif healthy %}
                    <p>The leaf was a healthy Leaf</p><br><br><br> {% else %}
                    <p>The image was predicted Unknown</p><br><br><br> {% endif %}
                </div><br><br><br>

                <p style="color: white;">Predict<a href="/" style="color: white;"> again?</a></p>
            </div>
        </div>
    </div>
</section>
<!-- 
<section style="background-color: gray; text-align: center;">

    <div style="padding: 9rem;">
        <div>
            <h3>Result</h3>
            <p>The predicted class is {{predictedLabel}}</p>
            <p>Confidence: {{confidence}}%</p>
            <img src={{filePathName}} alt="image" style="width: 500px;">
            <p>Image: {{filename}}</p>



        </div>

        <div>
            {% if lateblight %}

            <p>
                <b>Late Blight </b><br>Late Blight is caused by the funguslike oomycete pathogen Phytophthora infestans. This potentially devastating disease can infect potato foliage and tubers at any stage of crop development. <br><br>Treatment : <br>late
                Blight is controlled by eliminating cull piles and volunteer potatoes, using proper harvesting and storage practices, and applying fungicideswhen necessary. Air drainage to facilitate the drying of foliage each day is important.
            </p>
            {% elif earlyblight %}


            <p>
                <b>Early Blight </b><br> Early Blight is caused by the fungus Alternaria solani. It is found wherever potatoes are grown.<br> Treatment 1. planting potato varieties that are resistant to the disease; late maturing are more resistant than
                early maturing varieties.<br> 2. Avoid overhead irrigation and allow for sufficient aeration between plants to allow the foliage to dry as quickly as possible.<br> 3. Keep the potato plants healthy and stress free by providing adequate
                nutrition and sufficient irrigation, especially later in the growing season after flowering when plants are most susceptible to the disease.
            </p>
            {% elif healthy %}
            <p>The Leaf was a Healthy leaf</p>

            {% else %}
            <p>The image was predicted Unknown</p>
            {% endif %}

            <p>Predict</p><a href="/"> again?</a>

        </div>



    </div>

</section> -->



{% else %}

<section id="upload" style="background-color: gray;">
    <div class="banner">
        <div class="info">



            <h1>UPLOAD IMAGE <span>FOR CLASSIFICATION</span></h1>
            <div class="whole" style="width:40.4%">
                <div class="wrapper">
                    <div class="image">
                        <img id="chooseimg" src="" alt="">
                    </div>
                    <div class="content">
                        <div class="icon">
                            <i class="fas fa-cloud-upload-alt"></i>
                        </div>
                        <div class="text">
                            No image chosen, yet!
                        </div>
                    </div>
                    <div id="cancel-btn">
                        <i class="fas fa-times"></i>
                    </div>
                </div>
                <!-- <button onclick="defaultBtnActive()" id="custom-btn">Select Image</button>
              <input id="default-btn" type="file" hidden>
              <button onclick="" id="custom-btn">Predict</button>
              <input id="default-btn" type="file" hidden> -->


                <form method="post" enctype="multipart/form-data" action="predict">

                    {% csrf_token %}
                    <span onclick="defaultBtnActive()" id="custom-btn" style="text-align: center; padding: 1.3rem;"><input id="default-btn" name="filePath" type="file" hidden>Select</span>



                    <input type="submit" id="custom-btn" value="Submit"></input>
                </form>


            </div>
        </div>

</section>

{% endif %} {% endblock %}